Package org.drinkless.tdlib

# Class TdApi.StarTransaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransaction

Enclosing class:
  TdApi

public static class TdApi.StarTransaction extends TdApi.Object
Represents a transaction changing the amount of owned Telegram stars.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the transaction was completed.
  `String`
  `id`
  Unique identifier of the transaction.
  `boolean`
  `isRefund`
  True, if the transaction is a refund of a previous transaction.
  `TdApi.StarTransactionPartner`
  `partner`
  Source of the incoming transaction, or its recipient for outgoing transactions.
  `long`
  `starCount`
  The amount of added owned Telegram stars; negative for outgoing transactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransaction()`
  Represents a transaction changing the amount of owned Telegram stars.
  `StarTransaction(String id, long starCount, boolean isRefund, int date, TdApi.StarTransactionPartner partner)`
  Represents a transaction changing the amount of owned Telegram stars.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the transaction.

  - ### starCount

    public long starCount
    The amount of added owned Telegram stars; negative for outgoing transactions.

  - ### isRefund

    public boolean isRefund
    True, if the transaction is a refund of a previous transaction.

  - ### date

    public int date
    Point in time (Unix timestamp) when the transaction was completed.

  - ### partner

    public TdApi.StarTransactionPartner partner
    Source of the incoming transaction, or its recipient for outgoing transactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarTransaction

    public StarTransaction()
    Represents a transaction changing the amount of owned Telegram stars.

  - ### StarTransaction

    public StarTransaction(String id, long starCount, boolean isRefund, int date, TdApi.StarTransactionPartner partner)
    Represents a transaction changing the amount of owned Telegram stars.
    Parameters:
      `id` - Unique identifier of the transaction.
      `starCount` - The amount of added owned Telegram stars; negative for outgoing transactions.
      `isRefund` - True, if the transaction is a refund of a previous transaction.
      `date` - Point in time (Unix timestamp) when the transaction was completed.
      `partner` - Source of the incoming transaction, or its recipient for outgoing transactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR